Modul 5 · 5.2
Naptár és névjegyek exportálása Google és Microsoft fiókból
Modul 5: Naptár és névjegyek · Olvasási idő: 12 perc
Tanulási cél: E lecke után képes lesz teljes és használható exportot készíteni a naptárakról és névjegyekről Google és Microsoft fiókból, el tudja olvasni egy ICS- és vCard-fájl tartalmát, és tudni fogja, mi nem kerül át az exportálás során, vagy mi kerül át másként.
Alapfogalmak: iCalendar (ICS), VCALENDAR, VEVENT, UID, DTSTART, RRULE, EXDATE, VTIMEZONE és TZID, ORGANIZER és ATTENDEE, VALARM, vCard (VCF) 3.0 és 4.0, csv, Google Takeout, migrációs eszköz
Két fájlformátum, amelyet szinte mindenki ismer
A naptárakat és a névjegyeket két nyílt formátummal lehet átköltöztetni:
- iCalendar, a
.icskiterjesztésű fájlok (RFC 5545), naptárakhoz és feladatokhoz. - vCard, a
.vcfkiterjesztésű fájlok, névjegyekhez. Két verzióval találkozhat: 3.0 (RFC 2426) és 4.0 (RFC 6350).
Ezek egyszerű szöveges fájlok. Megnyithatja őket egy szövegszerkesztőben, és pontosan ezt fogja tenni ebben a leckében. Aki tudja, mi van a fájlban, az azt is látja, mi hiányzik belőle.
Gyakran van egyszerűbb út is az exportálásnál: sok új szolgáltatás rendelkezik migrációs eszközzel, amely az Ön engedélyével közvetlenül a Google vagy a Microsoft fiókjából tölti le a naptárait és névjegyeit. Ez gyorsabb és kevesebb hibával jár. Egy saját export elkészítése mégis célszerű: ellenőrzésként (hány találkozóm és névjegyem volt?), biztonsági mentésként a régi szolgáltatás felmondása előtt, és kiútként, ha a migrációs eszközt a rendszergazdája nem engedélyezi.
Így néz ki egy naptárfájl
A Szemcse Pékség naptárának exportja így kezdődik:
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Google Inc//Google Calendar 70.9054//EN
BEGIN:VTIMEZONE
TZID:Europe/Amsterdam
...
END:VTIMEZONE
BEGIN:VEVENT
UID:3f1a9c2e7b@google.com
DTSTART;TZID=Europe/Amsterdam:20261110T060000
DTEND;TZID=Europe/Amsterdam:20261110T070000
RRULE:FREQ=WEEKLY;BYDAY=TU
EXDATE;TZID=Europe/Amsterdam:20261229T060000
SUMMARY:Levering meel
ORGANIZER:mailto:anne@example.com
ATTENDEE;CN=Groothandel:mailto:verkoop@example.net
BEGIN:VALARM
TRIGGER:-PT30M
ACTION:DISPLAY
END:VALARM
END:VEVENT
END:VCALENDARAmit lát:
| Sor | Jelentés | Hol mehet félre |
|---|---|---|
BEGIN:VCALENDAR és VERSION:2.0 | ez egy iCalendar-fájl | ha hiányzik, az importálás elutasítja a fájlt |
BEGIN:VEVENT ... END:VEVENT | egyetlen találkozó | egy hiányzó END olvashatatlanná teszi a fájl hátralévő részét |
UID | a találkozó állandó azonosítója | UID nélkül a szerver nem ismeri fel a duplikátumokat |
DTSTART;TZID=... | kezdési időpont időzónával | lásd az időzónákról szóló részt lentebb |
RRULE | ismétlődési szabály: minden kedden | egy érvénytelen szabály egyetlen találkozót eredményez sorozat helyett |
EXDATE | kivétel: ezen a kedden éppen nem | |
ORGANIZER, ATTENDEE | ki hívott meg, és kit hívtak meg | lásd a meghívásokról szóló részt lentebb |
VALARM | emlékeztető, 30 perccel korábban | nem minden szolgáltatás veszi át az emlékeztetőket |
Időzónák
A TZID=Europe/Amsterdam jelölésű időpont azt jelenti: reggel 6 óra Amszterdamban, a nyári időszámításra való átállás után is. A fájlnak ezért tartalmaznia kell egy VTIMEZONE blokkot, amely leírja ezt az időzónát. Az Outlookból származó exportok gyakran Windows-neveket használnak, mint a W. Europe Standard Time. Ez rendben van, amíg a VTIMEZONE blokk is szerepel a fájlban. Ha hiányzik, az új szolgáltatás találgatni fog, és a találkozók egy órával eltolva fognak megjelenni. A Z betűre végződő időpont (20261110T050000Z) UTC-ben van megadva, és mindig egyértelmű. Az időzóna és Z nélküli időpontot "lebegő" időpontnak nevezik: az annak az időzónájában érvényes, aki megtekinti.
Az egész napos találkozók időpont nélküli dátumként szerepelnek: DTSTART;VALUE=DATE:20261224.
Meghívások
Egy találkozó, amelyet Ön szervezett, Önnel mint ORGANIZER-rel szerepel a fájlban. Az importálás után megjelenik az új naptárában, de a résztvevők saját naptárukban még a régi címéről érkezett meghívásként látják, a régi szolgáltatás UID-jával. Ha később módosítja a találkozót, új meghívást kapnak. Ismétlődő, külsősökkel tartott megbeszélések esetén célszerűbb lehet az átállás után újra meghívni őket. Azok a találkozók, amelyekre Önt hívták meg, egyszerű találkozóként kerülnek át; a szervezőnek adott válaszok e-mailben történnek.
Exportálás Google fiókból
- Naptár: a Google Naptárban, a Beállítások menüpontban, az Importálás és exportálás szakaszban, az Exportálás gombbal. Egy zip-fájlt kap, amely minden olyan naptárhoz tartalmaz egy ics-fájlt, amelynek Ön a tulajdonosa. Az olyan naptárak, amelyeket mások osztottak meg Önnel, nem szerepelnek ebben; azokat a tulajdonos exportálja, vagy Ön exportálja őket naptáranként az adott naptár beállításaiból, ha ez engedélyezett.
- Névjegyek: a Google Névjegyekben kiválasztja a névjegyeket (vagy az összeset), majd az Exportálás menüpontot, és a vCard formátumot. A Google felkínálja a "Google CSV" és az "Outlook CSV" formátumot is; válassza a vCard formátumot, mert az megőrzi a szerkezetet (több telefonszám, cím, fénykép).
- Minden egyszerre: a Google Takeout (takeout.google.com) a naptárat ics formátumban, a névjegyeket vcf (vagy csv) formátumban, a Gmail-t pedig mbox formátumban adja ki, zip-fájlokban. Hasznos a teljes fiók biztonsági mentéseként.
A menünevek időnként változnak; kétség esetén keressen rá a Google súgójában az "esemény exportálása" kifejezésre.
Exportálás Microsoft fiókból
- Naptár: a klasszikus Windows-os Outlookban elmenthet egy naptárat iCalendar-fájlként (Mentés másként, az időszak és a "teljes részletek" kiválasztásával). Válasszon olyan időszakot, amely elég messze visszanyúlik és előre terjed, és válassza a teljes részleteket, különben csak a szabad/foglalt állapotot exportálja. Az Outlook webes verziójában közzétehet egy naptárat ICS-linkként, és letöltheti a fájlt azon a linken keresztül; utána kapcsolja ki újra a közzétételt.
- Névjegyek: az Outlook webes verziója a névjegyeket csv formátumban exportálja, nem vCard formátumban. A klasszikus Outlook is csv-be exportál tömegesen; vCard formátumban ott csak egyenként lehetséges. A csv-fájlt sok CardDAV-szolgáltatás nem tudja közvetlenül importálni. Két megoldás van: az új szolgáltatás migrációs eszközének használata (amely közvetlenül lehívja a névjegyeket), vagy a csv importálása egy Thunderbird-címjegyzékbe, majd onnan vCard formátumban való exportálás.
- Megosztott naptárak és teremfoglalási naptárak a szervezet naptárai. Ezeket a rendszergazda exportálja, vagy újra beállítják őket az új szolgáltatásban.
Mi nem kerül át az exportálás során, vagy mi kerül át másként
| Elem | Mi történik |
|---|---|
| Találkozókhoz csatolt mellékletek | többnyire nem kerülnek át; csak egy link, vagy semmi |
| Színek és kategóriák | néha CATEGORIES formában, gyakran nem |
| Emlékeztetők | néha, a szolgáltatástól függően |
| Videókonferencia-linkek (Teams, Meet) | szövegként megmaradnak a találkozóban, de a felmondás után már nem működnek |
| Névjegycsoportok vagy címkék | nem mindig; ellenőrizze az importálás után |
| Névjegyfényképek | átkerülnek vCard formátumban, de nagyobbá teszik a fájlt |
Számolás, mielőtt továbbmegy
Az export elkészítése előtt jegyezze fel, hány névjegye van, és néhány naptár esetében azt is, hány találkozó szerepel egy adott időszakban (például novemberben). Az importálás után számolja meg újra. Ez a leggyorsabb módja annak, hogy lássa, hiányzik-e valami. E lecke feladatában a program megszámolja és ellenőrzi a fájljait.
A gyakorlatban: így néz ki egy szolgáltatónál
Egy WebOké Nextcloud fiókban két migrációs eszköz érhető el, amely közvetlenül lehívja az adatokat: a WebOké Import Tool a Google (Drive, Fotók, Naptár és Névjegyek) adataihoz, valamint az Adatmigráció a OneDrive és a Microsoft 365 adataihoz, amellyel a Microsoft-fiókjából is importálhat névjegyeket és naptárakat. Ha a naptára máshonnan származik, akkor az ics- és vCard-fájlokat saját maga importálja (5.3. lecke). A Nextcloud a vCard 3.0 és 4.0 formátumot is olvassa. Más európai szolgáltatásoknál hasonló importálóeszközök vagy egy importálás gomb található a naptárban és a címjegyzékben; a fájlformátumok mindenhol ugyanazok.
Összefoglalás
- A naptárakat ics (iCalendar) formátumban, a névjegyeket vcf (vCard 3.0 vagy 4.0) formátumban költözteti át; ezek olvasható szöveges fájlok.
- Egy közvetlenül lehívó migrációs eszköz gyakran egyszerűbb, de érdemes mégis saját exportot készíteni ellenőrzés és biztonsági mentés céljából.
- Egy ics-fájlban figyeljen az UID-re, az RRULE-ra, és az időzónákra egy VTIMEZONE blokkal; enélkül a találkozók eltolódnak.
- Az Outlook webes verziója a névjegyeket csak csv formátumban exportálja; használjon migrációs eszközt, vagy alakítsa át a csv-t vCard formátumra.
- Számolja meg előre a névjegyeket és találkozókat, hogy az importálás után lássa, hiányzik-e valami.
Kvíz
Feladat
A5.2 feladat: A tesztexport ellenőrzése. Exportáljon egy naptárat (ics) és a névjegyeit (vcf). Először írja be, hány névjegye van, és hány találkozóra számít. Ezután töltse fel a fájlokat. A program ellenőrzi, hogy érvényesek-e, megszámolja a találkozókat, az ismétlődéseket és a névjegyeket, keresi az időzóna-leírás nélküli időzónákat és a duplikált névjegyeket, és összehasonlítja az Ön által megadott számokkal. A fájlokat a program csak beolvassa, de nem tárolja.
E5.2 feladat: Mi nem kerül át? Nyissa meg az ics-fájlját egy szövegszerkesztőben. Keressen egy ismétlődő találkozót, egy résztvevőkkel rendelkező találkozót és egy videókonferencia-linket tartalmazó találkozót. Jegyezze fel találkozónként, mit kell tennie az átállás után.
E5.2. feladat: Mi nem kerül át?
Nyissa meg a saját ics-fájlját egy szövegszerkesztőben.
A pipái és jegyzetei csak ebben a böngészőben maradnak meg, sehova nem küldjük el őket. Ha bejelentkezett, a Fiókomban csak azt tároljuk, hogy elvégezte a feladatot.
További olvasnivaló
Az ezekben a cikkekben leírt lépések a WebOké szolgáltatásaira vonatkoznak; más szolgáltatóknál hasonlóan működik.
- Nextcloud kézikönyv 13.5: Naptár és kapcsolattartók átvitele Google, iCloud vagy Outlook szolgáltatásból (ics és vCard)
- Nextcloud kézikönyv 13.2: Google Drive, Fényképek, Naptár és Névjegyek átvitele a WebOké Import Tool segítségével
- Nextcloud kézikönyv 13.4: OneDrive átköltöztetése az Adatmigrációval
- Nextcloud kézikönyv 13.6: A Microsoft 365-ről a WebOkéra: fájlok, dokumentumok, e-mail és naptár
- RFC 5545 (iCalendar), RFC 2426 (vCard 3.0), RFC 6350 (vCard 4.0)
- Google Naptár súgó: Események exportálása; Google Névjegyek súgó: Névjegyek exportálása; Microsoft-ügyféltámogatás: Névjegyek exportálása az Outlookból
